Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultAmppComponentEquivalentType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentEquivalentKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultAmppComponentEquivalentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultAmppComponentEquivalentType extends AmppComponentEquivalentKeyType implements Serializable

Java class for ConsultAmppComponentEquivalentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppComponentEquivalentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}AmppComponentEquivalentKeyType">
           <sequence>
             <element name="Content" type="{urn:be:fgov:ehealth:dics:core:v4:core}QuantityType"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultAmppComponentEquivalentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuantityType`
  `getContent()`
  Gets the value of the content property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setContent(QuantityType value)`
  Sets the value of the content property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentEquivalentKeyType

  `getSequenceNr, setSequenceNr`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultAmppComponentEquivalentType

    public ConsultAmppComponentEquivalentType()

- ## Method Details

  - ### getContent

    public QuantityType getContent()
    Gets the value of the content property.
    Returns:
      possible object is `QuantityType`

  - ### setContent

    public void setContent(QuantityType value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `QuantityType`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`